Smart Proxy - Feature #15874

Log X-Request-ID by default
07/28/2016 05:41 AM - Dominic Cleal

Status:
Priority:
Assignee:

Category:

Target version:

Closed

Normal

Core
1.14.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/smart-pro

xy/pull/475
Description

The default log configuration of the smart proxy should log the contents of the X-Request-ID header if it's set, which will help
debugging as Foreman (or other users) can set it when making requests. This will make it easier to search logs for relevant entries.

Foreman does something similar (but with the session ID) since #15863.

Related issues:

Related to Foreman - Feature #10982: Add logging to smart proxy requests (Pro... Closed 07/02/2015
Related to Smart Proxy - Bug #18115: Smart proxy - 1.14 - Windows - uninitial... Closed 01/17/2017
Has duplicate Smart Proxy - Feature #15877: Print session/request id in forem... Duplicate 07/28/2016

Associated revisions

Revision b39011eb - 11/16/2016 09:39 AM - Dmitri Dolguikh
Fixes #15874 - added logging of 'X_REQUEST_ID' http headers

History

#1 - 07/28/2016 05:58 AM - Dominic Cleal
- Related to Feature #10982: Add logging to smart proxy requests (ProxyAPI) added

#2 - 07/28/2016 07:50 AM - Dominic Cleal

- Has duplicate Feature #15877: Print session/request id in foreman-proxy logs added

#3 - 07/28/2016 07:53 AM - Lukas Zapletal

Make sure this gets recorded in structured format in logger buffer as well, so we can easily pull out logs (e.g. errors) via the APl and show them.

#4 - 11/09/2016 06:53 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#5 - 11/09/2016 07:02 AM - Anonymous

- Target version set to 1.3.2

#6 - 11/14/2016 07:11 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/475 added

#7 - 11/16/2016 10:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://projects.theforeman.org/issues/15863

Applied in changeset b39011ebe34b83442bb8c256dd400f494{235389.

#8 - 11/22/2016 04:44 AM - Dominic Cleal

- translation missing: en.field_release set to 189

#9 - 01/18/2017 05:10 AM - Dominic Cleal
- Related to Bug #18115: Smart proxy - 1.14 - Windows - uninitialized constant error added
